List tasks
curl --request GET \
--url https://us-west-2.api.clumio.com/tasks \
--header 'Authorization: Bearer <token>'import requests
url = "https://us-west-2.api.clumio.com/tasks"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://us-west-2.api.clumio.com/tasks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"_embedded.items": [
{}
],
"_embedded.items[].id": "<string>",
"_embedded.items[].status": "<string>",
"_embedded.items[].progress_percentage": 123,
"_links": {}
}Endpoints
List tasks
Return backup, restore, snapshot, system, and management tasks.
GET
/
tasks
List tasks
Returns a paginated list of tasks, including scheduled backups and on-demand restores.
Errors return an
Headers
string
default:"application/api.clumio.tasks=v1+json"
Selects version 1 of the tasks resource.
string
UUID of the organizational unit in which to perform the request.
Query parameters
number
Maximum number of tasks returned on each page.
string
default:"1"
Page number. Pages are indexed from
1.string
JSON filter. Supported fields include
status, category, type, id, and timestamps.Response
object[]
Tasks returned on the current page.
string
Clumio-assigned task ID.
string
Task state, such as
queued, in_progress, completed, failed, or aborted.number
Completion percentage from
0 to 100.object
HAL pagination links.
{
"_embedded": {
"items": [
{
"id": "114",
"category": "restore",
"status": "completed",
"progress_percentage": 100,
"created_timestamp": "2026-09-16T09:00:00Z"
}
]
},
"current_count": 1,
"start": "1"
}
errors array containing error_code and error_message.